# Exit Validators

## POST /v1/api/ethereum/{network}/exit\_validators

> Provides a transaction, which after being signed and broadcasted, enables the specified validators to exit.

```json
{"openapi":"3.0.3","info":{"title":"Validation Cloud Staking API","version":"1.0.0"},"servers":[{"url":"https://ethereum-staking.sprd.validationcloud.io"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExitValidatorsRequest":{"properties":{"validators":{"items":{"$ref":"#/components/schemas/ValidatorKey"},"type":"array"},"transaction_type":{"type":"integer","default":0,"description":"Type of the returned transaction.\n0 for legacy transactions.\n2 for EIP-1559 transactions.\n"}},"required":["validators"],"type":"object"},"ValidatorKey":{"type":"object","properties":{"public_key":{"format":"binary","type":"string"}},"description":"The public key of a validator."},"Transaction":{"type":"object","properties":{"data":{"format":"binary","type":"string","description":"The data that will be sent to the contract."},"gas":{"type":"integer","description":"The amount of gas that will be used to execute the transaction."},"gas_price":{"type":"string","description":"The price of gas in Gwei."},"nonce":{"type":"integer","description":"The nonce of the transaction. This is used to prevent replay attacks."},"to":{"format":"binary","type":"string","description":"The address of the contract that will be called."},"transaction_serialized":{"format":"binary","type":"string","description":"The canonical RLP encoding of the transaction"},"value":{"type":"string","description":"The amount of Ether that will be sent to the contract."}},"description":"The transaction that will need to be signed to be broadcasted to the Ethereum network."},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/api/ethereum/{network}/exit_validators":{"post":{"description":"Provides a transaction, which after being signed and broadcasted, enables the specified validators to exit.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExitValidatorsRequest"}}}},"parameters":[{"name":"network","in":"path","required":true,"schema":{"type":"string","default":"mainnet","enum":["mainnet","hoodi"]},"description":"The network"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Exit Validators"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/staking/ethereum/staking-api-reference/exit-validators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
